Bug 478580 - Extended attributes on symlinks is broken - please upgrade to later version
Extended attributes on symlinks is broken - please upgrade to later version
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pyxattr (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcin Zajaczkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 07:24 EST by Jonathan Underwood
Modified: 2009-01-21 16:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2009-01-01 07:24:43 EST
Description of problem:
rdiff-backup makes use of pyxattr for extended attribute support, and the latest version of rdiff-backup is repoorting:

Warning: Your version of pyxattr (unknown) has broken support for extended
attributes on symlinks. If you choose not to upgrade to a more recent version,
you may see many warning messages from listattr().

I see the shippedd version of pyxattr is quite old, upstream is at 0.40. Please could we have an updated package to fix this problem.

Version-Release number of selected component (if applicable):
pyxattr-0.2.2-3.fc9.x86_64
Comment 1 Marcin Zajaczkowski 2009-01-01 14:05:45 EST
A version 0.4.0 is already in a development branch. You could test it by rebuilding src.rpm on your machine [1]. Nevertheless if there is a problem you mentioned (I already have 0.4.0 installed and I didn't know about a warning) I will request to put it into testing for F9 and F10.

[1] - ftp://mask.wsisiz.edu.pl/pub/linux/fedora/linux/development/source/SRPMS/pyxattr-0.4.0-2.fc11.src.rpm
Comment 2 Jonathan Underwood 2009-01-01 17:09:26 EST
I rebuilt that SRPM in mock for F-10 and installed it on both machines and then ran the same rdiff-backup command which completed fine, no warning about brokeness. So, I'd encourage you to push a build for F-10 as an update to updates-testing. Maybe F-9 too, though I haven't got an F-9 box to test it on.
Comment 3 Fedora Update System 2009-01-02 07:31:51 EST
pyxattr-0.4.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pyxattr-0.4.0-2.fc10
Comment 4 Fedora Update System 2009-01-02 07:33:01 EST
pyxattr-0.4.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pyxattr-0.4.0-2.fc9
Comment 5 Fedora Update System 2009-01-07 04:27:22 EST
pyxattr-0.4.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyxattr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0171
Comment 6 Fedora Update System 2009-01-07 04:29:37 EST
pyxattr-0.4.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pyxattr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0184
Comment 7 Fedora Update System 2009-01-21 16:27:18 EST
pyxattr-0.4.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-01-21 16:36:51 EST
pyxattr-0.4.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.